Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1412236 (CVE-2017-5336) - CVE-2017-5336 gnutls: Stack overflow in cdk_pk_get_keyid
Summary: CVE-2017-5336 gnutls: Stack overflow in cdk_pk_get_keyid
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5336
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1411838 1411845 1413836 1413874
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 15:23 UTC by Andrej Nemec
Modified: 2020-02-14 18:27 UTC (History)
7 users (show)

Fixed In Version: gnutls 3.3.26, gnutls 3.5.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:20 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0574 0 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-03-21 12:23:04 UTC
Red Hat Product Errata RHSA-2017:2292 0 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-08-01 12:39:15 UTC

Description Andrej Nemec 2017-01-11 15:23:52 UTC
A vulnerability was found in gnutls. A stack overflow could occur in opencdk in the cdk_pk_get_keyid function. A memory corruption could occur when parsing a maliciously crafted OpenPGP certificate.

References:

http://seclists.org/oss-sec/2017/q1/51
https://gnutls.org/security.html#GNUTLS-SA-2017-2

Upstream patch:

https://gitlab.com/gnutls/gnutls/commit/5140422e0d7319a8e2fe07f02cbcafc4d6538732

Comment 1 Andrej Nemec 2017-01-11 15:31:21 UTC
Created gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1411838]

Comment 2 Andrej Nemec 2017-01-11 15:31:27 UTC
Created gnutls30 tracking bugs for this issue:

Affects: epel-6 [bug 1411845]

Comment 6 Nikos Mavrogiannopoulos 2017-01-17 12:16:15 UTC
Reproducer at:
https://gitlab.com/gnutls/gnutls/commit/611098e2f01fd8c3a5a625d61f26c56fcb3d770c

Comment 7 Nikos Mavrogiannopoulos 2017-02-13 14:48:21 UTC
Maps to: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=340

Comment 8 errata-xmlrpc 2017-03-21 09:05:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0574 https://rhn.redhat.com/errata/RHSA-2017-0574.html

Comment 9 errata-xmlrpc 2017-08-01 08:50:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2292 https://access.redhat.com/errata/RHSA-2017:2292


Note You need to log in before you can comment on or make changes to this bug.